summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2016-05-15 18:55:51 +0200
committerMartin Väth <martin@mvath.de>2016-05-15 18:55:51 +0200
commit800eab645b57f2c503b1a82d618b9452694c15db (patch)
treeca643c7d411efe8651e0be09c7aee357cd6fad55 /dev-util
parentdev-util/mv_perl: Version bump to split dev-util/comp (diff)
downloadmv-800eab645b57f2c503b1a82d618b9452694c15db.tar.gz
mv-800eab645b57f2c503b1a82d618b9452694c15db.tar.bz2
mv-800eab645b57f2c503b1a82d618b9452694c15db.zip
dev-util/comp: New ebuild for project splitted from dev-util/mv_perl
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/comp/Manifest1
-rw-r--r--dev-util/comp/comp-4.0.0.ebuild32
-rw-r--r--dev-util/comp/metadata.xml16
3 files changed, 49 insertions, 0 deletions
diff --git a/dev-util/comp/Manifest b/dev-util/comp/Manifest
new file mode 100644
index 00000000..b67aabcd
--- /dev/null
+++ b/dev-util/comp/Manifest
@@ -0,0 +1 @@
+DIST comp-4.0.0.tar.gz 7623 SHA256 7f092dfec69593decc928ef71def8708d360a46d19f7cebc7ed58c356cefc5b7
diff --git a/dev-util/comp/comp-4.0.0.ebuild b/dev-util/comp/comp-4.0.0.ebuild
new file mode 100644
index 00000000..d14ee7f0
--- /dev/null
+++ b/dev-util/comp/comp-4.0.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+RESTRICT="mirror"
+inherit eutils
+
+DESCRIPTION="compare files or directories, including metadata"
+HOMEPAGE="https://github.com/vaeth/comp/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!<dev-util/mv_perl-3
+>=dev-lang/perl-5.12"
+# || ( >=dev-lang/perl-5.9.4 >=virtual/perl-File-Spec-3.0 )
+# || ( >=dev-lang/perl-5.6.1 >=virtual/perl-Getopt-Long-2.24 )
+
+src_install() {
+ dobin bin/*
+ dodoc README
+ insinto /usr/share/zsh/site-functions
+ doins zsh/_*
+}
+
+pkg_postinst() {
+ optfeature "improved output" 'dev-perl/String-ShellQuote'
+}
diff --git a/dev-util/comp/metadata.xml b/dev-util/comp/metadata.xml
new file mode 100644
index 00000000..d72cd2a5
--- /dev/null
+++ b/dev-util/comp/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>martin@mvath.de</email>
+ <name>Martin Väth</name>
+ </maintainer>
+ <bugs-to>mailto:martin@mvath.de</bugs-to>
+ <remote-id type="github">vaeth/comp</remote-id>
+ </upstream>
+</pkgmetadata>